Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class Types

    java.lang.Object
      |
      +--java.sql.Types

public class Types
extends Object

The class that defines the constants that are used to identify generic SQL types, called JDBC types. The actual type constant values are equivalent to those in XOPEN.

This class is never instantiated.

Field Summary
`static int` | `ARRAY` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ARRAY`.
`static int` | `BIGINT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIGINT`.
`static int` | `BINARY` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BINARY`.
`static int` | `BIT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIT`.
`static int` | `BLOB` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BLOB`.
`static int` | `CHAR` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CHAR`.
`static int` | `CLOB` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CLOB`.
`static int` | `DATE` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATE`.
`static int` | `DECIMAL` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DECIMAL`.
`static int` | `DISTINCT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DISTINCT`.
`static int` | `DOUBLE` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DOUBLE`.
`static int` | `FLOAT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `FLOAT`.
`static int` | `INTEGER` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `INTEGER`.
`static int` | `JAVA_OBJECT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `JAVA_OBJECT`.
`static int` | `LONGVARBINARY` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARBINARY`.
`static int` | `LONGVARCHAR` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARCHAR`.
`static int` | `NULL` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NULL`.
`static int` | `NUMERIC` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NUMERIC`.
`static int` | `OTHER` The constant in the Java programming language that indicates that the SQL type is database-specific and gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.
`static int` | `REAL` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REAL`.
`static int` | `REF` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF`.
`static int` | `SMALLINT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `SMALLINT`.
`static int` | `STRUCT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `STRUCT`.
`static int` | `TIME` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME`.
`static int` | `TIMESTAMP` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP`.
`static int` | `TINYINT` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TINYINT`.
`static int` | `VARBINARY` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARBINARY`.
`static int` | `VARCHAR` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARCHAR`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIT

    public static final int BIT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIT`.

### TINYINT

    public static final int TINYINT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TINYINT`.

### SMALLINT

    public static final int SMALLINT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `SMALLINT`.

### INTEGER

    public static final int INTEGER

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `INTEGER`.

### BIGINT

    public static final int BIGINT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BIGINT`.

### FLOAT

    public static final int FLOAT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `FLOAT`.

### REAL

    public static final int REAL

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REAL`.

### DOUBLE

    public static final int DOUBLE

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DOUBLE`.

### NUMERIC

    public static final int NUMERIC

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NUMERIC`.

### DECIMAL

    public static final int DECIMAL

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DECIMAL`.

### CHAR

    public static final int CHAR

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CHAR`.

### VARCHAR

    public static final int VARCHAR

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARCHAR`.

### LONGVARCHAR

    public static final int LONGVARCHAR

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARCHAR`.

### DATE

    public static final int DATE

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATE`.

### TIME

    public static final int TIME

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIME`.

### TIMESTAMP

    public static final int TIMESTAMP

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `TIMESTAMP`.

### BINARY

    public static final int BINARY

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BINARY`.

### VARBINARY

    public static final int VARBINARY

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `VARBINARY`.

### LONGVARBINARY

    public static final int LONGVARBINARY

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `LONGVARBINARY`.

### NULL

    public static final int NULL

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `NULL`.

### OTHER

    public static final int OTHER

  The constant in the Java programming language that indicates that the SQL type is database-specific and gets mapped to a Java object that can be accessed via the methods `getObject` and `setObject`.

### JAVA_OBJECT

    public static final int JAVA_OBJECT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `JAVA_OBJECT`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### DISTINCT

    public static final int DISTINCT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DISTINCT`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### STRUCT

    public static final int STRUCT

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `STRUCT`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### ARRAY

    public static final int ARRAY

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `ARRAY`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### BLOB

    public static final int BLOB

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BLOB`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### CLOB

    public static final int CLOB

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `CLOB`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

### REF

    public static final int REF

  The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `REF`.
  See Also:
    What Is in the JDBC 2.0 API
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.